com::lomiri::location::UpdateSelector Class Referenceabstract

`#include <update_selector.h>`

Inheritance diagram for com::lomiri::location::UpdateSelector:
Collaboration diagram for com::lomiri::location::UpdateSelector:

## Public Types

typedef std::shared_ptr< UpdateSelector > | Ptr

## Public Member Functions

| UpdateSelector (const UpdateSelector &)=delete
UpdateSelector & | operator= (const UpdateSelector &)=delete
virtual | ~UpdateSelector ()=default
virtual WithSource< Update< Position > > | select (const WithSource< Update< Position > > &older, const WithSource< Update< Position > > &newer)=0

## Protected Member Functions

| UpdateSelector ()=default

## Detailed Description

Definition at line 34 of file update_selector.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<UpdateSelector> com::lomiri::location::UpdateSelector::Ptr

Definition at line 37 of file update_selector.h.

## Constructor & Destructor Documentation

## UpdateSelector() [1/2]

com::lomiri::location::UpdateSelector::UpdateSelector | ( | const UpdateSelector & |  | ) |

delete

References UpdateSelector().

Referenced by operator=(), and UpdateSelector().

Here is the call graph for this function:

## ~UpdateSelector()

virtual com::lomiri::location::UpdateSelector::~UpdateSelector | ( |  | ) |

virtual default

## UpdateSelector() [2/2]

com::lomiri::location::UpdateSelector::UpdateSelector | ( |  | ) |

protected default

## Member Function Documentation

## operator=()

UpdateSelector & com::lomiri::location::UpdateSelector::operator= | ( | const UpdateSelector & |  | ) |

delete

References UpdateSelector().

Here is the call graph for this function:

## select()

virtual WithSource< Update< Position > > com::lomiri::location::UpdateSelector::select | ( | const WithSource< Update< Position > > & | older,
|  | const WithSource< Update< Position > > & | newer )

pure virtual

Implemented in com::lomiri::location::NewerOrMoreAccurateUpdateSelector, and com::lomiri::location::NewerUpdateSelector.

The documentation for this class was generated from the following file:

- update_selector.h